<?php
// cms/api/preferences/saverates

    header("Content-Type:application/json");
    include("../dbconn.php");
    include("../utils.php");
    
    // parametros obligatorios
    $parmsob = array("sessionid",'terms');
    if (!parametrosValidos($_POST, $parmsob))
        badEnd("400", array("msg"=>"Parametros obligatorios " . implode(", ", $parmsob)));
    
    //Declaramos e inicializamos nuestras variables
    $out = new stdClass();
    $sessionid = $_POST["sessionid"];
    $terms = $_POST['terms'];
    
    //Validamos que la session del usuario sea valida para continuar
    isSessionValidCMS($db, $sessionid);
    
    //Validamos que el usuario tenga privilegios
    if(!tienePrivilegio($db, $sessionid, 56))
        badEnd("403", array("msg"=>"No tiene Privilegios"));
        
    // Actualizamos los terminos
    $sql = "UPDATE cmspreferences SET ".
    "       terms = '".$terms."' ";
    if (!$db->query($sql))
        badEnd("500", array("msg"=>$db->error));

    //auditoria
    setAudit($db, "PREFERENCIAS", $sessionid, "CMS", "Se actualizaron los términos y condiciones");   
    
    $out->id = 1;
    
    header("HTTP/1.1 200");
    echo (json_encode($out));
    die();
?>
